<h5>Random number generator</h5>

<form [formGroup]="form" class="row" (ngSubmit)="generate()">
  <div class="col-1">
    <div class="form-group">
      <label for="min">Min</label>
      <input class="form-control" id="min" type="number" formControlName="min">
      <div *ngIf="form.controls.min.errors as errors" class="small text-danger">
        <span *ngIf="errors.required">
          Required
        </span>
        <span *ngIf="errors.min as e">
          Number has to be bigger than {{e.min}}.
        </span>
        <span *ngIf="errors.max as e">
          Number has to be less than {{e.max}}.
        </span>
      </div>
    </div>
  </div>
  <div class="col-1">
    <div class="form-group">
      <label for="max">Max</label>
      <input class="form-control" id="max" type="number" formControlName="max">
      <div *ngIf="form.controls.max.errors as errors" class="small text-danger">
        <span *ngIf="errors.required">
          Required
        </span>
        <span *ngIf="errors.min as e">
          Number has to be bigger than {{e.min}}.
        </span>
        <span *ngIf="errors.max as e">
          Number has to be less than {{e.max}}.
        </span>
      </div>
    </div>
  </div>
  <div class="col-2 d-flex">
    <button class="btn btn-primary mt-auto mb-3" type="submit" [disabled]="form.invalid">Generate</button>
  </div>
</form>

<div class="card bg-dark">
  <div class="card-body text-white">
    <span *ngIf="model as model; else clickToGenerate" class="font-weight-bold">{{model.number}}</span>
    <ng-template #clickToGenerate>
      <span class="text-muted">Click on generate</span>
    </ng-template>
  </div>
</div>